
Foreman - Bug #10802

relation "users" does not exist present when migrating

06/12/2015 12:53 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Database   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2455

  

Description

When running db:migrate, the following error is present:

<ActiveRecord::StatementInvalid> PG::UndefinedTable: ERROR:  relation "users" does not exist

LINE 5:              WHERE a.attrelid = '"users"'::regclass

                                        ^

:             SELECT a.attname, format_type(a.atttypid, a.atttypmod),

                     pg_get_expr(d.adbin, d.adrelid), a.attnotnull, a.atttypid, a.atttypmod

              FROM pg_attribute a LEFT JOIN pg_attrdef d

                ON a.attrelid = d.adrelid AND a.attnum = d.adnum

             WHERE a.attrelid = '"users"'::regclass

               AND a.attnum > 0 AND NOT a.attisdropped

             ORDER BY a.attnum

Related issues:

Related to Foreman - Bug #12225: TopbarSweeper should invalidate on plugin in... Closed 10/20/2015

Associated revisions

Revision 7faa9966 - 07/01/2015 07:18 AM - Eric Helms

Fixes #10802: Fix error that appears in migrations related to users.

History

#1 - 06/12/2015 12:55 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2455 added

- Pull request deleted ()

#2 - 07/01/2015 05:00 AM - Dominic Cleal

- Category set to Database

- Assignee set to Eric Helms

- translation missing: en.field_release set to 63

#3 - 07/01/2015 08:01 AM - Eric Helms

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 7faa9966bd9dc0f876008594df92b6ae7949af75.

#4 - 05/13/2016 05:02 AM - Dominic Cleal

- Related to Bug #12225: TopbarSweeper should invalidate on plugin installation/removal added
